/*-
 * #%L
 * Smile CDR - CDR
 * %%
 * Copyright (C) 2016 - 2024 Smile CDR, Inc.
 * %%
 * All rights reserved.
 * #L%
 */
package com.example.camel;

import org.apache.camel.Exchange;
import org.apache.camel.Message;
import org.apache.camel.Processor;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TestCustomProcessor implements Processor {
	private static final Logger log = LoggerFactory.getLogger(TestCustomProcessor.class);

	@Override
	public void process(Exchange exchange) throws Exception {

		// get incoming Message
		Message message = exchange.getIn();

		// log incoming Message body
		log.info("Message body: {}", message.getBody(String.class));

		// log incoming Message headers
		log.info("Message headers: {}", message.getHeaders());

		// Modify Message body
		message.setBody("Hello World!");

		// Add Message header
		message.setHeader("some-header-name", "some-header-value");

		// log new Message body
		log.info("Message body: {}", message.getBody(String.class));

		// log new Message headers
		log.info("Message headers: {}", message.getHeaders());
	}
}
